Add group to incompatibleGroups
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Add a group to the list of groups that have been marked as incompatible on an accessPackage.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.ReadWrite.All |
HTTP request
POST /identityGovernance/entitlementManagement/accessPackages/{id}/incompatibleGroups/$ref
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply a JSON representation of a structure with the OData id of the URI of a group object.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Examples
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackages/{id}/incompatibleGroups/$ref
Content-type: application/json
{
"@odata.id": "https://graph.microsoft.com/beta/groups/c0a74b4d-2694-4d5d-a964-1bee4ff0aaf2"
}
### Response
The following is an example of the response.
> **Note:** The response object shown here might be shortened for readability.
<!-- {
"blockType": "response"
} -->
```http
HTTP/1.1 204 Created
Feedback
Submit and view feedback for